Type to search.

Get pipelines

  • GET /_ingest/pipeline/{id}
  • GET /_ingest/pipeline
Auth

Get information about one or more ingest pipelines. This API returns a local reference of the pipeline.

About ingest pipelines

Required privileges

Cluster privileges read_pipeline manage_ingest_pipelines

Path parameters

id string optional

Comma-separated list of pipeline IDs to retrieve. Wildcard (*) expressions are supported. To get all ingest pipelines, omit this parameter or use *.

Leave it out to use /_ingest/pipeline.

Query parameters

master_timeout union oneOf · default: 30s

Period to wait for a connection to the master node. If no response is received before the timeout expires, the request fails and returns an error.

Values: -1 0
summary boolean · default: false

Return pipelines without their definitions

Response

application/json